unit basicunit;
{$mode delphi} {$H+}
interface
uses  Classes, SysUtils;
Procedure ModulesInit;
Procedure ModulesDone;
procedure BASICmain;

Const DrawTimeInterval=1;
Const DrawStartDelay=1;

implementation
uses Forms, math, graphics,
 windows,winlib,
  base,base2,textfrm,textfile,arrays,affine,graphsys,
  math2sub,datalist,baslib,graphlib,debugdg,paintfrm,
  MyThread,assignlib, mathlib;
{$MAXFPUREGISTERS 0}





(* Modules initialize and dispose *)
Procedure ModulesInit;
begin
end;
Procedure ModulesDone;
begin
end;

(* Main Program *)
procedure BASICmain;
var s_S:Ansistring;
begin
//  let s$=using$("##",123)
LETS([TStrvar.create(@s_S)],USING_s('###',123));
//  END

end;{end main}
initialization
  AppName:='';
  SystemStackSize := 16711680;
  signiwidth0:=15;
  TextMode := false ;
  GraphMode:= false ;
  BMPSize:=BMP1001;
  TextProblemCoordinate:= false ;
  UseCharInput:= false ;
  FontCharSet:=1;
  FontSize:=0;
  FontName:='default';
  FontStyle:=[];
  FirstThreadPriority:=tpNormal;



Finalization



end.
